listHistory

POST https://api.agilizepay.com/pix/history

SUMMARY:

access_token= Access token code generated by authentication

CLIENT_ID = Your client_id can be found within the dashboard.

header
{ 
    'client_id': '{CLIENT_ID}',
    'accept': 'application/json',
    'Authorization': "Bearer {access_token}"
}
body
{ 
    [required]
    'init': 'string datetime yyyy-MM-dd HH:mm',
    
    [required]
    'end': 'string datetime yyyy-MM-dd HH:mm',
}
chevron-right 🟒 200 - Successfullyhashtag

Response body

[{
   'txid' = string,
   'status' = string,
   'pixCopiaECola' = string,
   'qrCode' = string,
   'endToEnd' = string,
   'paid_by' = string,
   'paid_by_tax_id' = string,
   'fee' = decimal,
   'amount' = decimal
}]
chevron-rightπŸ”΄400 - Bad requesthashtag

chevron-rightπŸ”΄401 - Unauthorizedhashtag

chevron-rightπŸ”΄500 - Internal server errorhashtag

Last updated